Index: LMDZ6/trunk/libf/phylmd/inlandsis/surf_inlandsis_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5075)
+++ LMDZ6/trunk/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5084)
@@ -638,6 +638,6 @@
             END DO
 
-            IF (sissnow(ikl) <= sn_low) THEN  !add snow
-                IF (isnoSV(ikl)>=1) THEN
+            IF (sissnow(ikl) .LE. sn_low) THEN  !add snow
+                IF (isnoSV(ikl).GE.1) THEN
                     dzsnSV(ikl, 1) = dzsnSV(ikl, 1) + sn_add / max(ro__SV(ikl, 1), epsi)
                     toicSV(ikl) = toicSV(ikl) - sn_add
@@ -657,5 +657,5 @@
             END IF
 
-            IF (sissnow(ikl) >= sn_upp) THEN  !thinnen snow layer below
+            IF (sissnow(ikl) .ge. sn_upp) THEN  !thinnen snow layer below
                 dzsnSV(ikl, 1) = dzsnSV(ikl, 1) / sn_div
                 toicSV(ikl) = toicSV(ikl) + dzsnSV(ikl, 1) * ro__SV(ikl, 1) / sn_div
@@ -1049,4 +1049,5 @@
         ! Objet: Lecture du fichier de conditions initiales pour SISVAT
         !======================================================================
+        include "netcdf.inc"
         !    include "indicesol.h"
 
@@ -1117,5 +1118,5 @@
 
         DO isn = 1, nsno
-            IF (isn<=99) THEN
+            IF (isn.LE.99) THEN
                 WRITE(str2, '(i2.2)') isn
                 CALL get_field("AGESNOW" // str2, &
@@ -1127,5 +1128,5 @@
         ENDDO
         DO isn = 1, nsno
-            IF (isn<=99) THEN
+            IF (isn.LE.99) THEN
                 WRITE(str2, '(i2.2)') isn
                 CALL get_field("DZSNOW" // str2, &
@@ -1137,5 +1138,5 @@
         ENDDO
         DO isn = 1, nsno
-            IF (isn<=99) THEN
+            IF (isn.LE.99) THEN
                 WRITE(str2, '(i2.2)') isn
                 CALL get_field("G2SNOW" // str2, &
@@ -1147,5 +1148,5 @@
         ENDDO
         DO isn = 1, nsno
-            IF (isn<=99) THEN
+            IF (isn.LE.99) THEN
                 WRITE(str2, '(i2.2)') isn
                 CALL get_field("G1SNOW" // str2, &
@@ -1157,5 +1158,5 @@
         ENDDO
         DO isn = 1, nsismx
-            IF (isn<=99) THEN
+            IF (isn.LE.99) THEN
                 WRITE(str2, '(i2.2)') isn
                 CALL get_field("ETA" // str2, &
@@ -1167,5 +1168,5 @@
         ENDDO
         DO isn = 1, nsismx
-            IF (isn<=99) THEN
+            IF (isn.LE.99) THEN
                 WRITE(str2, '(i2.2)') isn
                 CALL get_field("RO" // str2, &
@@ -1177,5 +1178,5 @@
         ENDDO
         DO isn = 1, nsismx
-            IF (isn<=99) THEN
+            IF (isn.LE.99) THEN
                 WRITE(str2, '(i2.2)') isn
                 CALL get_field("TSS" // str2, &
@@ -1187,5 +1188,5 @@
         ENDDO
         DO isn = 1, nsno
-            IF (isn<=99) THEN
+            IF (isn.LE.99) THEN
                 WRITE(str2, '(i2.2)') isn
                 CALL get_field("HISTORY" // str2, &
@@ -1286,4 +1287,5 @@
         IMPLICIT none
 
+        include "netcdf.inc"
         !    include "indicesol.h"
         !    include "dimsoil.h"
@@ -1401,5 +1403,5 @@
 
             DO isn = 1, nsno
-                IF (isn<=99) THEN
+                IF (isn.LE.99) THEN
                     WRITE(str2, '(i2.2)') isn
                     CALL put_field(pass, "AGESNOW" // str2, &
@@ -1412,5 +1414,5 @@
             ENDDO
             DO isn = 1, nsno
-                IF (isn<=99) THEN
+                IF (isn.LE.99) THEN
                     WRITE(str2, '(i2.2)') isn
                     CALL put_field(pass, "DZSNOW" // str2, &
@@ -1423,5 +1425,5 @@
             ENDDO
             DO isn = 1, nsno
-                IF (isn<=99) THEN
+                IF (isn.LE.99) THEN
                     WRITE(str2, '(i2.2)') isn
                     CALL put_field(pass, "G2SNOW" // str2, &
@@ -1434,5 +1436,5 @@
             ENDDO
             DO isn = 1, nsno
-                IF (isn<=99) THEN
+                IF (isn.LE.99) THEN
                     WRITE(str2, '(i2.2)') isn
                     CALL put_field(pass, "G1SNOW" // str2, &
@@ -1445,5 +1447,5 @@
             ENDDO
             DO isn = 1, nsismx
-                IF (isn<=99) THEN
+                IF (isn.LE.99) THEN
                     WRITE(str2, '(i2.2)') isn
                     CALL put_field(pass, "ETA" // str2, &
@@ -1456,5 +1458,5 @@
             ENDDO
             DO isn = 1, nsismx   !nsno
-                IF (isn<=99) THEN
+                IF (isn.LE.99) THEN
                     WRITE(str2, '(i2.2)') isn
                     CALL put_field(pass, "RO" // str2, &
@@ -1467,5 +1469,5 @@
             ENDDO
             DO isn = 1, nsismx
-                IF (isn<=99) THEN
+                IF (isn.LE.99) THEN
                     WRITE(str2, '(i2.2)') isn
                     CALL put_field(pass, "TSS" // str2, &
@@ -1478,5 +1480,5 @@
             ENDDO
             DO isn = 1, nsno
-                IF (isn<=99) THEN
+                IF (isn.LE.99) THEN
                     WRITE(str2, '(i2.2)') isn
                     CALL put_field(pass, "HISTORY" // str2, &
